<?php
class x_4 { 
var $x_4c = 'text/html; charset=utf-8'; 
var $x_4d = ''; 
var $x_4e = Array(); 
var $x_5 = Array(); 
var $x_4f = ''; 
var $x_4g = ''; 
var $x_4h = ''; 
var $x_4i = Array(); 
var $x_2 = ''; 
var $x_4j = Array(); 
function x_4($x_4d = '', $x_4h = '') { 
if (isset($x_4d) && strlen(trim($x_4d)) != 0) 
$this->x_4d = $x_4d; 
else 
$this->x_4d = 'Kerio'; 
if (isset($x_4h) && strlen(trim($x_4h)) != 0) 
$this->x_4h = ' ' . $x_4h; 
} 
function x_4k($x_4d = '') { 
$this->x_4d = $x_4d; 
} 
function x_4e($x_3x = Array(), $x_4l = 0) { 
foreach ($x_3x as $x_w) { 
if (0 == $x_4l) { 
array_push($this->x_4e, $x_w); 
} else { 
$this->x_4i[] = join ('', file($x_w)); 
} 
} 
} 
function x_5($x_3x = Array()) { 
foreach ($x_3x as $x_w) { 
array_push($this->x_5, $x_w); 
} 
} 
function x_4f($x_4m) { 
$this->x_4f .= $x_4m; 
} 
function x_4g($x_4n) { 
$this->x_4g .= $x_4n . "\n"; 
} 
function x_2($x_4o, $x_3n = 'a') { 
switch ($x_3n) { 
case 'w': $this->x_2 = $x_4o; break; 
default: $this->x_2 .= $x_4o; break; 
} 
} 
function x_4p($x_4q = 0, $x_47 = '', $x_44 = '', $x_4r = '', $x_4s = 'no') { 
$x_4t = Array( 'height' => $x_4q, 
'id' => $x_47, 
'name' => $x_44, 
'src' => $x_4r, 
'scrolling' => $x_4s 
); 
array_push($this->x_4j, $x_4t); 
} 
function x_6() { 
$x_46 = $this->x_4u(); 
$x_46 .= '<body'. $this->x_4h .'>'. "\n\n"; 
$x_46 .= $this->x_2 . "\n"; 
$x_46 .= $this->x_4v(); 
echo $x_46; 
} 
function x_4u() { 
$x_46 = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">'. "\n" . 
'<html>'. "\n" . 
'<head>'. "\n"; 
$x_46 .= '	<meta http-equiv="Content-Type" content="' . $this->x_4c . '">'. "\n" . 
$this->x_4g . 
'	<title>' . $this->x_4d . ' - Kerio WinRoute Firewall</title>'. "\n"; 
foreach ($this->x_4e as $x_w) 
$x_46 .= sprintf('	<link  href="%s" rel="stylesheet" type="text/css">' . "\n",$x_w); 
foreach ($this->x_5 as $x_w) 
$x_46 .= sprintf('	<script src="%s" type="text/javascript"></script>' . "\n",$x_w); 
if (strlen(trim($this->x_4f)) != 0) 
$x_46 .= '	<script type="text/javascript">' . "\n" . $this->x_4f . "\n" . '	</script>' . "\n"; 
if (!empty($this->x_4i)) { 
$x_46 .= '<style type="text/css">' . join('', $this->x_4i) . '</style>'; 
} 
$x_46 .= '</head>' . "\n"; 
return $x_46; 
} 
function x_4v() { 
$x_46 = "\n" . '</body>' . "\n" . '</html>'; 
return $x_46; 
} 
function x_4w() { 
$x_46 = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">'. "\n" . 
'<html>'. "\n" . 
'<head>'. "\n" . 
'	<meta http-equiv="Content-Type" content="' . $this->x_4c . '">'. "\n" . 
'	<title>' . $this->x_4d . '</title>'. "\n"; 
if (strlen(trim($this->x_4f)) != 0) 
$x_46 .= '	<script type="text/javascript">' . "\n" . $this->x_4f . "\n" . '	</script>' . "\n"; 
$x_46 .= '</head>' . "\n"; 
if (count($this->x_4j) != 0) { 
foreach ($this->x_4j as $x_4t) 
$x_4x[] = $x_4t['height']; 
$x_4y = implode(', ', $x_4x); 
$x_4z = '<frameset rows="' . $x_4y . '" framespacing="0" frameborder="0">' . "\n"; 
foreach ($this->x_4j as $x_4t) 
$x_4z .= sprintf('	<frame id="' . $x_4t['id'] . '" name="' . $x_4t['name'] . '" src="' . $x_4t['src'] . '" marginwidth="0" marginheight="0" scrolling="no" frameborder="' . $x_4t['scrolling'] . '">' . "\n", $x_4t); 
$x_4z .= '</frameset>' . "\n"; 
} 
$x_46 .= $x_4z . "\n"; 
$x_46 .= '</html>'; 
return $x_46; 
} 
} 
?>
